# Add Spreadsheet Row

Writes a row to Google Sheets

{% hint style="info" %}
Note: Writes to Google Sheets are batched and will occur every 5 minutes and when the flow finishes, not when the command runs
{% endhint %}

#### Sheet

* Google Sheet to write to

#### Fields

* Values of the output row
  * Each field represents a separate column

### Viewing the output

The output of Add Spreadsheet Row can be seen in the Output tab of the [console](/guides/debugging-a-flow.md#console).

### Exporting the output

There are two ways to export the output:

* Writing to a Google Sheet
* Click the "Download CSV" button in the Output tab of the console

### Avoiding Overwriting Rows

When Browserflow sends rows to Google Sheets to be appended, Google Sheets uses the first column of the sheet to determine where to add the rows. Please note that if the first column is empty, Google Sheets will **overwrite** existing rows rather than **appending** new rows. You can fix this by reordering the columns so that when a row is populated, the first column for that row has a value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/spreadsheet/add-spreadsheet-row.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
